[PC-BSD Commits] r17486 - pcbsd/current/src-sh/warden/scripts/backend

svn at pcbsd.org svn at pcbsd.org
Thu Jun 28 06:37:27 PDT 2012


Author: kris
Date: 2012-06-28 13:37:26 +0000 (Thu, 28 Jun 2012)
New Revision: 17486

Modified:
   pcbsd/current/src-sh/warden/scripts/backend/createjail.sh
   pcbsd/current/src-sh/warden/scripts/backend/setupusers.sh
Log:

Change where / how we display success messages



Modified: pcbsd/current/src-sh/warden/scripts/backend/createjail.sh
===================================================================
--- pcbsd/current/src-sh/warden/scripts/backend/createjail.sh	2012-06-28 13:25:07 UTC (rev 17485)
+++ pcbsd/current/src-sh/warden/scripts/backend/createjail.sh	2012-06-28 13:37:26 UTC (rev 17486)
@@ -196,6 +196,7 @@
 # If we are auto-starting the jail, do it now
 if [ "$STARTUP" = "YES" ] ; then warden start ${IP} ; fi
 
-echo "Success! Jail created at ${JDIR}/${IP}"
+echo "Success!"
+echo "Jail created at ${JDIR}/${IP}"
 
 exit 0

Modified: pcbsd/current/src-sh/warden/scripts/backend/setupusers.sh
===================================================================
--- pcbsd/current/src-sh/warden/scripts/backend/setupusers.sh	2012-06-28 13:25:07 UTC (rev 17485)
+++ pcbsd/current/src-sh/warden/scripts/backend/setupusers.sh	2012-06-28 13:37:26 UTC (rev 17486)
@@ -46,7 +46,7 @@
 # End of error checking, now lets add the users / passwords
 #####################################################################
 
-echo "Changing root password on: ${IP}"
+echo -e "Changing root password on: ${IP} \c"
 
 if [ -e "${JMETADIR}/linuxjail" ] ; then
 
@@ -62,9 +62,14 @@
 
 fi
 
-
 chmod 755 "${JDIR}/${IP}/.chpass.sh"
 chroot "${JDIR}/${IP}" /.chpass.sh
+if [ $? -eq 0 ] ; then
+  echo -e "Success!"
+else
+  echo -e "FAILED!"
+fi
+
 rm "${JDIR}/${IP}/.chpass.sh"
 
 



More information about the Commits mailing list